QGIS Application - Bug report #14594

Symbology: Maker Line errors when pen width less 0.265 mm

2016-03-31 02:18 AM - Andrea Lai

Status: Closed
Priority: Normal
Assignee:

Category: Symbology

Affected QGIS version:master
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?:
Easy fix?:
Resolution:

No
No
end of life

Copied to github as #: 22562

Description

| have created a github repository at https://github.com/laingit/qgis-alai-bug with very simple case to reproduce the error;

there is also a readme with images showing the error.

| think the problem is related to: mm to pixel conversion (0.264583333).

The triangle should be in the middle of the dashed line.

When pen width is 0.3 mm (OK).

When pen width is less than 0.265 mm (es. 0.2 mm; create problems).

History

#1 - 2016-03-31 02:24 AM - Andrea Lai

https://issues.qgis.org/attachments/9778/Example.PNG

#2 - 2016-03-31 02:29 AM - Andrea Lai

OK BLACK LINE
https://issues.qgis.org/attachments/9779/ok.PNG

ERROR RED LINE
https://issues.qgis.org/attachments/9780/ERROR.PNG

#3 - 2016-04-09 08:49 AM - Giovanni Manghi

- Affected QGIS version changed from 2.8.7 to master
- Tag changed from SYMBOLOGY to symbology

- OS version deleted (8.1)

- Operating System deleted (windows)

#4 - 2017-05-01 01:05 AM - Giovanni Manghi
- Easy fix? set to No

- Regression? set to No
#5 - 2019-03-09 04:10 PM - Giovanni Manghi

- Status changed from Open to Closed
- Resolution set to end of life

2025-04-27
https://github.com/laingit/qgis-alai-bug

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-Itr/

Files

Example.PNG 28 KB 2016-03-31 Andrea Lai

ok.PNG 14 KB 2016-03-31 Andrea Lai

ERROR.PNG 13.7 KB 2016-03-31 Andrea Lai
